﻿/* Generell styling for ddButton */

/* Bytt visning kunder / leverandører */
.ddSwitchReportButton{
    background-color:#0e3a2e;
    color:#fff;
    width:260px;
    padding: 12px 0 12px 0;
    float:right;
    clear:right;
    margin-bottom:20px;
}

.ddSwitchButton a{
    font-weight:normal;
}

/* Stor grønn knapp som alternativ til ddConfirmationListButton */
.ddLargeActionButton{
    float:right;
    width:250px;
    background-color:#0e3a2e;
    color:#fff;
    font-weight:normal;
}

/* *************************************** */
/* En kombinasjon av knapp og dropdownlist */
/* F.eks. knappen Send faktura */
/* Grønn stor knapp */
.ddConfirmationListButton{
    float:right;
    width:250px;
}

.ddConfirmationListButton input[type=button] {
    height:28px;
    width:205px;
    border:none;
    color:#fff;
    text-indent:5px;
    position:absolute;
    z-index:2;
    overflow:hidden;
    text-overflow:ellipsis;
    -webkit-appearance:none; /* for å unngå spesialknapp på iPad */
    /*border-radius:0; /* for å unngå spesialknapp på iPad */
    border-radius:4px;
}

.ddConfirmationListButton .k-button{
    border-left:1px solid #fff;
    border-bottom-left-radius:0;
    border-top-left-radius:0;
}

.ddConfirmationListButton .ddDropDownList{
    width:250px;
    z-index:1;
    margin-bottom:0;
    background-color:#0e3a2e;
    border-color:#0e3a2e;
    border-radius:4px;
}

/* Tilpasninger av bredde på grønn knapp i enkelte websider */
.debetCustomers .ddConfirmationListButton, /* Betalingspåminnelse */
.debetCustomers .ddConfirmationListButton .ddDropDownList, /* Betalingspåminnelse */
.ddAttestation .ddConfirmationListButton, /* Betalingspåminnelse */
.ddAttestation .ddConfirmationListButton .ddDropDownList, /* Betalingspåminnelse */
.voucherlist .ddConfirmationListButton, /* Bilagsliste */
.voucherlist .ddConfirmationListButton .ddDropDownList { /* Bilagsliste */
    width: 300px;
}

.debetCustomers .ddConfirmationListButton input[type=button],
.voucherlist .ddConfirmationListButton input[type=button],
.ddAttestation .ddConfirmationListButton input[type=button]{
    width:255px;
}
/* Slutt: Tilpasninger av bredde på grønn knapp i enkelte websider */

.ddConfirmationListButton .ddDropDownList .k-input{
    height:30px;
}

.ddConfirmationListButton .k-dropdown-wrap{
    border:none;
    background-color:#0e3a2e !important;
    background-image:none !important;
    color:#fff !important;
    border-radius:3px;
}

.ddConfirmationListButton .k-dropdown-wrap.k-state-focused{
    background-color:#0e3a2e;
}

.ddConfirmationListButton .k-dropdown-wrap.k-select{
    width:30px;
    position:absolute;
    z-index:3;
}

.ddConfirmationListButton .k-i-arrow-s {
    color: #fff;
}

/* Når knappen og dropdownlista er aktiv (default) */
.ddConfirmationListButton .ddButtonActive {
    background-color: #0e3a2e;
    cursor: pointer;
}

.ddConfirmationListButton .ddDropDownListActive .k-select{
    width:30px;
    background-color:#0e3a2e;
    border-left:1px solid #fff;
    border-top-right-radius:3px;
    border-bottom-right-radius:3px;
}

/* Når knappen og dropdownlista er disabled */
.ddConfirmationListButton .ddButtonDisabled {
    background-color:#c0c0c0;
    cursor: default;
}

.ddConfirmationListButton .ddDropDownListDisabled .k-dropdown-wrap.k-state-default,
.ddConfirmationListButton .ddDropDownListDisabled .k-dropdown-wrap.k-state-focused,
.ddConfirmationListButton .ddDropDownListDisabled .k-dropdown-wrap.k-select{
    background-color:#c0c0c0;
    background-image:none;
    cursor:default;
}

.ddConfirmationListButton .ddDropDownListDisabled .k-i-arrow-s{
    background-position:-716px -31px; /* Ikon vises ikke */
}

.ddConfirmationListButton .k-button[disabled]{
    background-color:unset;
}


/* ddConfirmationListButton i egen lønnsversjon */
.actionMenu {
    display: none;
}

.actionMenu.k-menu-horizontal {
    float: right;
    border: none;
    background-color:#0e3a2e;
}

.actionMenu.k-menu-horizontal .emptyItem > .k-link{
    background-color:#0e3a2e;
}

.actionMenu.k-menu-horizontal .k-item{
    float:left;
    border-left:1px solid #fff;
}

.actionMenu.k-menu-horizontal .defaultItem.k-item .k-link{
    color:#fff !important;
    background-color:#0e3a2e;
    align-self:center;
}

.actionMenu.k-menu-horizontal .defaultItem.k-item.k-first {
    width: 240px;
    height:32px;
    border:none;
}

.actionMenu.k-menu-horizontal .k-animation-container {    
    left: -220px !important;
    background-color:#fff;
}

.actionMenu.k-menu-horizontal .k-animation-container .k-menu-group {    
    width: 260px !important;
}

.actionMenu.k-menu-horizontal .k-animation-container .k-menu-group .k-item{
    float:left;
    width:100%;
}

.actionMenu .k-item.k-hover,
.actionMenu .k-item:hover{
    border-color:#fff !important;
}

.actionMenu .k-menu-expand-arrow{
    color:#fff;
    margin-inline-end: 0;
}

.payroll .actionMenu span.k-i-arrow-s{
    transform:none;
}
/* Slutt: ddConfirmationListButton - En kombinasjon av knapp og dropdownlist */
/* ************************************************************************* */


/* Flytt opp og flytt ned knapper i grid */
.ddArrowUp,
.ddArrowUp:hover,
.ddArrowDown,
.ddArrowDown:hover{
    background-repeat: no-repeat;
    background-color: transparent;
    color: transparent;
    border: none;
    height: 15px;
    width:15px;
    cursor: pointer;
}

.ddArrowUp,
.ddArrowUp:hover{
    background-image: url(../../img/Pil_opp.png);
}

.ddArrowDown,
.ddArrowDown:hover{
    background-image: url(../../img/Pil_ned.png);
}
/* Slutt: Piler flytt opp og flytt ned i grid */

/* Slett knapp i grid */
.k-grid-RemoveLine, /* Fakturering og kontroller timer*/
.k-grid-RemoveLine:hover,
.k-grid-RemoveLine:focus,
.k-grid-RemoveLine:active,
.k-grid-Delete,
.k-grid-Delete:hover,
.k-grid-Delete:focus,
.k-grid-Delete:active,
.k-grid-deleteLine,
.k-grid-deleteLine:hover,
.k-grid-deleteLine:focus,
.k-grid-deleteLine:active,
.ddDeleteLine, /* Firmaoppset lønn */
.ddDeleteLine:hover,
.ddDeleteLine:focus,
.ddDeleteLine:active,
.ddGrid .delete, /* Firmaoppsett attestasjon og reise */
.ddGrid .delete:hover,
.ddGrid .delete:focus,
.ddGrid .delete:active,
.ddDeleteGridRow,
.ddDeleteGridRow:hover,
.ddDeleteGridRow:focus,
.ddDeleteGridRow:active {
    background-image: url(../../img/LukkX.png);
    background-repeat: no-repeat;
    background-color: transparent;
    color: transparent;
    border: none;
    height: 13px;
    min-width: 18px !important;
    margin: 0 !important;
    padding: 0 !important;
}

.k-button.k-grid-RemoveLine:focus:active:not(.k-state-disabled):not([disabled]),
.k-button.k-grid-Delete:focus:active:not(.k-state-disabled):not([disabled]),
.k-button.k-grid-deleteLine:focus:active:not(.k-state-disabled):not([disabled]),
.k-button.ddDeleteLine:focus:active:not(.k-state-disabled):not([disabled]),
.ddGrid .delete:focus:active:not(.k-state-disabled):not([disabled]),
.k-button.ddDeleteGridRow:focus:active:not(.k-state-disabled):not([disabled]) {
    box-shadow: none; /* Fjerner ramme rund x knapp ved fokus */
}
/* Slutt: Slett knapp i grid */